%def_disable java
%def_disable php
%def_enable qyoto
%def_enable soprano
%def_disable ruby
%def_disable akonadi

%add_findpackage_path %_kde4_bindir

%define rname kdebindings
Name: kde4bindings
%define major 4
%define minor 4
%define bugfix 5
Version: %major.%minor.%bugfix
Release: alt1.M51.1

Group: Graphical desktop/KDE
Summary: KDE bindings to non-C++ languages
License: GPL
Url: http://www.kde.org
Packager: Sergey V Turchin <zerg@altlinux.org>

Requires: python-module-kde4 = %version-%release
%if_enabled qyoto
Requires: qyoto = %version-%release
Requires: kimono = %version-%release
%endif
%if_enabled ruby
Requires: ruby-qt4 = %version-%release
Requires: ruby-kde4 = %version-%release
%endif

Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%rname-%version.tar
Source10: qt-dotnet.dll.config
Source11: kde-dotnet.dll.config
Patch1: kdebindings-4.1.3-trunk-python-sip.patch
Patch2: kdebindings-4.1.3-trunk-fix-build-qyoto.patch
#
Patch101: kdebindings-4.1.0-alt-fix-test-qt.patch
Patch102: kdebindings-4.1.0-alt-gac-assemply-dir.patch
Patch103: kdebindings-4.2.3-alt-gcc44.patch
Patch104: kdebindings-4.3.90-alt-disable-akonadi.patch

# buildreq -bi 2008.10.17
#akonadi-devel gcc-c++ kde4base-devel kde4base-runtime-devel kde4base-workspace-devel kde4network-devel libXScrnSaver-devel libXcomposite-devel libXft-devel libXpm-devel libXt-devel libXtst-devel libXv-devel libXxf86misc-devel libjpeg-devel libpth-devel libqscintilla2-qt4-devel libruby-devel libxkbfile-devel python-module-PyQt4-devel python-module-sip-devel ruby-module-etc xorg-xf86vidmodeproto-devel
BuildRequires(pre): kde4libs-devel python-module-PyQt4-devel python-module-sip rpm-build-python rpm-build-ruby rpm-build-mono libsoprano-devel
BuildRequires: kde4libs-devel >= %version kde4pimlibs-devel >= %version
BuildRequires: kde4base-workspace-devel >= %version kde4base-devel >= %version
BuildRequires: kde4base-runtime-devel >= %version kde4network-devel >= %version
BuildRequires: kde4graphics-devel >= %version
BuildRequires: gcc-c++ soprano soprano-backend-redland
BuildRequires: polkit-qt-1-devel libpolkit1-devel
BuildRequires: xorg-devel libjpeg-devel libpth-devel attica-devel
%if_enabled akonadi
BuildRequires: akonadi-devel
%endif
%if_enabled java
BuildRequires: java-devel
%endif
%if_enabled ruby
BuildRequires: libruby-devel ruby-module-etc
%endif
BuildRequires: libmono-devel mono-devel mono-mcs monodoc-devel /proc
BuildRequires: phonon-devel
BuildRequires: python-devel
BuildRequires: python-module-sip-devel >= 4.8
BuildRequires: python-module-PyQt4-devel >= 4.5
BuildRequires: libqscintilla2-qt4-devel
%if_enabled php
BuildRequires: php5-devel
BuildRequires: php-cli
%endif


%description
KDE4 bindings to non-C++ languages

%package common
Summary: Common package for %name
Group: System/Configuration/Other
Requires: kde-common >= %major.%minor
%description common
Common package for %name

%package -n python-module-kde4
Summary: PyKDE4
Group: Development/KDE and QT
Requires: %name-common = %version-%release
Requires: libsoprano >= %{get_version libsoprano}
Requires: python-module-PyQt4 >= %{get_version python-module-PyQt4}
Requires: python-module-sip >= %{get_version python-module-sip}
Provides: PyKDE4 = %version-%release
%description -n python-module-kde4
Python KDE 4

%package -n python-module-kde4-doc
Summary: PyKDE4 documentation
Group: Development/KDE and QT
Requires: %name-common = %version-%release
%description -n python-module-kde4-doc
Python KDE 4 documentation

%package -n   libsmokekde4
Summary: KDE generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokekde4
KDE generic bindings library.

%package -n libsmokeqimageblitz4
Summary: KDE generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokeqimageblitz4
KDE generic bindings library.

%package -n   libsmokephonon4
Summary: KDE generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: libqt4-core >= %{get_version libqt4-core}
%description -n libsmokephonon4
KDE generic bindings library.

%package -n   libsmokekhtml4
Summary: KDE generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokekhtml4
KDE generic bindings library.

%package -n   libsmokektexteditor4
Summary: KDE generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokektexteditor4
KDE generic bindings library.

%package -n   libsmokeqtuitools4
Summary: KDE generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: libqt4-core >= %{get_version libqt4-core}
%description -n libsmokeqtuitools4
KDE generic bindings library.

%package -n   libsmokeqtwebkit4
Summary: KDE generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: libqt4-core >= %{get_version libqt4-core}
%description -n libsmokeqtwebkit4
KDE generic bindings library.

%package -n   libsmokesolid4
Summary: KDE generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
#Requires: %{get_dep kde4libs}
%description -n libsmokesolid4
KDE generic bindings library.

%package -n libsmokeokular4
Summary: KDE generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokeokular4
KDE generic bindings library.

%package -n   libsmokeqsci4
Summary: KDE generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: libqt4-core >= %{get_version libqt4-core}
%description -n libsmokeqsci4
KDE generic bindings library.

%package -n libsmokesoprano4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: libqt4-core >= %{get_version libqt4-core}
Requires: libsoprano >= %{get_version libsoprano}
%description -n libsmokesoprano4
Qt generic bindings library.

%package -n libsmokeqtscript4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: libqt4-core >= %{get_version libqt4-core}
%description -n libsmokeqtscript4
Qt generic bindings library.

%package -n libsmokenepomuk4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: libqt4-core >= %{get_version libqt4-core}
%description -n libsmokenepomuk4
Qt generic bindings library.

%package -n libsmokeqt4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: libqt4-core >= %{get_version libqt4-core}
%description -n libsmokeqt4
Qt generic bindings library.

%package -n libsmokeqttest4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: libqt4-core >= %{get_version libqt4-core}
%description -n libsmokeqttest4
Qt generic bindings library.

%package -n libqtruby4shared
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: libqt4-core >= %{get_version libqt4-core}
%description -n libqtruby4shared
Qt generic bindings library.

%package -n libsmokeakonadi4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokeakonadi4
Qt generic bindings library.

%package -n libsmokeplasma4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokeplasma4
Qt generic bindings library.

%package -n libqyotoshared4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libqyotoshared4
Qt generic bindings library.

%package -n libsmokeattica4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokeattica4
Qt generic bindings library.

%package -n libsmokekdecore4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokekdecore4
Qt generic bindings library.

%package -n libsmokekdeui4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokekdeui4
Qt generic bindings library.

%package -n libsmokekfile4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokekfile4
Qt generic bindings library.

%package -n libsmokekio4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokekio4
Qt generic bindings library.

%package -n libsmokeknewstuff24
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokeknewstuff24
Qt generic bindings library.

%package -n libsmokeknewstuff34
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokeknewstuff34
Qt generic bindings library.

%package -n libsmokekparts4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokekparts4
Qt generic bindings library.

%package -n libsmokekutils4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokekutils4
Qt generic bindings library.

%package -n libsmokenepomukquery4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokenepomukquery4
Qt generic bindings library.

%package -n libsmokeqtcore4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokeqtcore4
Qt generic bindings library.

%package -n libsmokeqtdbus4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokeqtdbus4
Qt generic bindings library.

%package -n libsmokeqtgui4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokeqtgui4
Qt generic bindings library.

%package -n libsmokeqtmultimedia4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokeqtmultimedia4
Qt generic bindings library.

%package -n libsmokeqtnetwork4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokeqtnetwork4
Qt generic bindings library.

%package -n libsmokeqtopengl4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokeqtopengl4
Qt generic bindings library.

%package -n libsmokeqtsql4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokeqtsql4
Qt generic bindings library.

%package -n libsmokeqtsvg4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokeqtsvg4
Qt generic bindings library.

%package -n libsmokeqtxml4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokeqtxml4
Qt generic bindings library.

%package -n libsmokeqtxmlpatterns4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokeqtxmlpatterns4
Qt generic bindings library.

%package -n libsmokesopranoserver4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokesopranoserver4
Qt generic bindings library.

%package -n libsmokesopranoclient4
Summary: Qt generic bindings library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n libsmokesopranoclient4
Qt generic bindings library.

%package -n smoke4-devel
Summary: Header files for libsmoke
Group: Development/KDE and QT
Requires: %name-common = %version-%release
%description -n smoke4-devel
Smoke devel files.

%package -n qyoto
Summary: C# Mono Qt 4 bindings
Group: Development/KDE and QT
Requires: %name-common = %version-%release
Requires: mono
Provides: mono-qt4 = %version-%release
%description -n qyoto
C# Mono Qt 4 bindings

%package -n kimono
Summary: C# Mono KDE 4 bindings
Group: Development/KDE and QT
Requires: %name-common = %version-%release
Requires: mono
Requires: qyoto
Provides: mono-kde4 = %version-%release
%description -n kimono
C# Mono KDE 4 bindings

%package -n qyoto-devel
Summary: Header files for qyoto
Group: Development/KDE and QT
Requires: %name-common = %version-%release
Requires: qyoto
%description -n qyoto-devel
qyoto devel files.

%package -n kimono-devel
Summary: Devel files for kimono
Group: Development/KDE and QT
Requires: %name-common = %version-%release
Requires: qyoto-devel
Requires: kimono
%description -n kimono-devel
kimono devel files.

%package -n ruby-qt4
Summary: Qt bindings for Ruby
Group: Development/KDE and QT
Requires: %name-common = %version-%release
Requires: libqt4-core >= %{get_version libqt4-core}
Provides: ruby-qt = %version-%release
Obsoletes: ruby-qt < %version-%release
Provides: ruby-module-qt = %version-%release
Obsoletes: ruby-module-qt < %version-%release
%description -n ruby-qt4
A qt4 bindings for Ruby language.

%package -n ruby-kde4
Summary: KDE bindings for Ruby
Group: Development/KDE and QT
Requires: %name-common = %version-%release
Requires: %{get_dep kde4libs}
%description -n ruby-kde4
A kde4 bindings for Ruby language.

%package -n ruby-qt4-devel
Summary: Header files for ruby-qt4
Group: Development/KDE and QT
Requires: ruby-qt4
Requires: %name-common = %version-%release
%description -n ruby-qt4-devel
ruby-qt4 devel files.

%package -n ruby-kde4-devel
Summary: Header files for ruby-kde4
Group: Development/KDE and QT
Requires: %name-common = %version-%release
Requires: ruby-qt4-devel
Requires: ruby-kde4
%description -n ruby-kde4-devel
ruby-kde4 devel files.


%prep
%setup -q -n %rname-%version
#%patch1 -p3
#%patch2 -p3
###%patch101 -p1
#%patch102 -p1
%patch103 -p1
%if_disabled akonadi
%patch104 -p1
%endif
rm -rf xparts %{!?_enable_java:java} %{!?_enable_php:php} %{!?_enable_qyoto:csharp} %{!?_enable_ruby:ruby}

%build
BLDDIR=$PWD
export QTDIR=%_qt4dir
export LD_LIBRARY_PATH=$BLDDIR/BUILD-%_target_platform/generator/bin:$LD_LIBRARY_PATH
%K4cmake \
	-DWITH_Soprano:BOOL=%{?_enable_soprano:ON}%{!?_enable_soprano:OFF} \
	-DGAC_ASSEMBLY_DIR:STRING=%_monodir \
	-DCUSTOM_RUBY_SITE_ARCH_DIR:STRING=%ruby_sitearchdir \
	-DCUSTOM_RUBY_SITE_LIB_DIR:STRING=%ruby_sitelibdir \
	-DBUILD_ruby:BOOL=%{?_enable_ruby:ON}%{!?_enable_ruby:OFF} \
	-DENABLE_KROSSJAVA:BOOL=%{?_enable_java:ON}%{!?_enable_java:OFF} \
	-DENABLE_PHP-QT:BOOL=%{?_enable_php:ON}%{!?_enable_php:OFF} \
	-DENABLE_QYOTO:BOOL=%{?_enable_qyoto:ON}%{!?_enable_qyoto:OFF} \
	-DENABLE_QSCINTILLA_SHARP:BOOL=ON \
	-DENABLE_QSCINTILLA_RUBY:BOOL=ON \
	-DENABLE_SMOKEKDEVPLATFORM:BOOL=OFF \
	-DAkonadi_FOUND:BOOL=FALSE
%K4make -j1


%install
%K4install
install -m 0644 %SOURCE10 %buildroot%_monogacdir/qt-dotnet/*/
install -m 0644 %SOURCE11 %buildroot%_monogacdir/kde-dotnet/*/


%files
%files common

%files -n libsmokeqimageblitz4
%_K4libdir/libsmokeqimageblitz.so.*

%if_enabled akonadi
%files -n libsmokeakonadi4
%_K4libdir/libsmokeakonadi.so.*
%endif

%files -n libsmokeplasma4
%_K4libdir/libsmokeplasma.so.*

#%files -n libsmokekde4
#%_K4libdir/libsmokekde.so.*

%files -n libsmokephonon4
%_K4libdir/libsmokephonon.so.*

%files -n libsmokekhtml4
%_K4libdir/libsmokekhtml.so.*

%files -n libsmokektexteditor4
%_K4libdir/libsmokektexteditor.so.*

%files -n libsmokeqtuitools4
%_K4libdir/libsmokeqtuitools.so.*

%files -n libsmokeqtwebkit4
%_K4libdir/libsmokeqtwebkit.so.*

%files -n libsmokesolid4
%_K4libdir/libsmokesolid.so.*

%files -n libsmokeokular4
%_K4libdir/libsmokeokular.so.*

%files -n libsmokeqsci4
%_K4libdir/libsmokeqsci.so.*

%if_enabled soprano
%files -n libsmokesoprano4
%_K4libdir/libsmokesoprano.so.*

%files -n libsmokenepomuk4
%_K4libdir/libsmokenepomuk.so.*
%endif

%files -n libsmokeqtscript4
%_K4libdir/libsmokeqtscript.so.*

%files -n libsmokeqt4
%_K4libdir/libsmokeqt.so.*

%files -n libsmokeqttest4
%_K4libdir/libsmokeqttest.so.*

%files -n libqyotoshared4
%_K4libdir/libqyotoshared.so.*
%files -n libsmokeattica4
%_K4libdir/libsmokeattica.so.*
%files -n libsmokekdecore4
%_K4libdir/libsmokekdecore.so.*
%files -n libsmokekdeui4
%_K4libdir/libsmokekdeui.so.*
%files -n libsmokekfile4
%_K4libdir/libsmokekfile.so.*
%files -n libsmokekio4
%_K4libdir/libsmokekio.so.*
%files -n libsmokeknewstuff24
%_K4libdir/libsmokeknewstuff2.so.*
%files -n libsmokeknewstuff34
%_K4libdir/libsmokeknewstuff3.so.*
%files -n libsmokekparts4
%_K4libdir/libsmokekparts.so.*
%files -n libsmokekutils4
%_K4libdir/libsmokekutils.so.*
%files -n libsmokenepomukquery4
%_K4libdir/libsmokenepomukquery.so.*
%files -n libsmokeqtcore4
%_K4libdir/libsmokeqtcore.so.*
%files -n libsmokeqtdbus4
%_K4libdir/libsmokeqtdbus.so.*
%files -n libsmokeqtgui4
%_K4libdir/libsmokeqtgui.so.*
%files -n libsmokeqtmultimedia4
%_K4libdir/libsmokeqtmultimedia.so.*
%files -n libsmokeqtnetwork4
%_K4libdir/libsmokeqtnetwork.so.*
%files -n libsmokeqtopengl4
%_K4libdir/libsmokeqtopengl.so.*
%files -n libsmokeqtsql4
%_K4libdir/libsmokeqtsql.so.*
%files -n libsmokeqtsvg4
%_K4libdir/libsmokeqtsvg.so.*
%files -n libsmokeqtxml4
%_K4libdir/libsmokeqtxml.so.*
%files -n libsmokeqtxmlpatterns4
%_K4libdir/libsmokeqtxmlpatterns.so.*
%files -n libsmokesopranoclient4
%_K4libdir/libsmokesopranoclient.so.*
%files -n libsmokesopranoserver4
%_K4libdir/libsmokesopranoserver.so.*

%files -n smoke4-devel
%_bindir/smokeapi
%_bindir/smokegen
%_includedir/smoke.h
%_includedir/smoke
%_K4libdir/libcppparser.so
%_K4libdir/libsmoke*.so
%_K4libdir/smokegen
%_datadir/smokegen

%if_enabled qyoto
%files -n qyoto
%_monodir/qyoto/qt-dotnet.dll
%_monodir/qyoto/qscintilla.dll
%_monodir/qyoto/qtscript.dll
%_monodir/qyoto/qtuitools.dll
%_monodir/qyoto/qtwebkit.dll
%_monodir/qyoto/qttest.dll
%_monogacdir/qttest
%_monogacdir/qt-dotnet
%_monogacdir/qscintilla
%_monogacdir/qtscript
%_monogacdir/qtwebkit
%_monogacdir/qtuitools
%_K4libdir/libqyoto.so
%_K4libdir/libqscintilla-sharp.so
%_K4libdir/libqtscript-sharp.so
%_K4libdir/libqtuitools-sharp.so
%_K4libdir/libqtwebkit-sharp.so
%_K4libdir/libqttest-sharp.so
%endif

%if_enabled qyoto
%files -n qyoto-devel
%_bindir/csrcc
%_bindir/uics
%_includedir/qyoto
%_K4libdir/libqyotoshared.so
%_K4libdir/pkgconfig/qyoto.pc
%_K4libdir/pkgconfig/qtscript-sharp.pc
%_K4libdir/pkgconfig/qttest-sharp.pc
%_K4libdir/pkgconfig/qtuitools-sharp.pc
%_K4libdir/pkgconfig/qtwebkit-sharp.pc
%endif

%if_enabled qyoto
%files -n kimono
%_monodir/qyoto/kde-dotnet.dll
%_monodir/qyoto/khtml-dll.dll
%_monodir/qyoto/soprano.dll
#%_monodir/qyoto/akonadi.dll
%_monodir/qyoto/ktexteditor-dotnet.dll
%_monodir/qyoto/plasma-dll.dll
%_monodir/qyoto/nepomuk-dll.dll
%_monodir/qyoto/qimageblitz.dll
%_monogacdir/kde-dotnet
%_monogacdir/khtml-dll
#%_monogacdir/akonadi
%_monogacdir/soprano
%_monogacdir/ktexteditor-dotnet
%_monogacdir/plasma-dll
%_monogacdir/nepomuk-dll
%_monogacdir/qimageblitz
%_K4libdir/libkhtml-sharp.so
%_K4libdir/libnepomuk-sharp.so
%_K4libdir/libsoprano-sharp.so
%_K4libdir/libkimono.so
#%_K4libdir/libakonadi-sharp.so
%_K4libdir/libktexteditor-sharp.so
%_K4libdir/libplasma-sharp.so
%_K4libdir/libqimageblitz-sharp.so
%_K4lib/kimonopluginfactory.so
%_K4apps/plasma_scriptengine_kimono
%_K4srv/plasma-scriptengine-kimono-applet.desktop
%_K4srv/plasma-scriptengine-kimono-dataengine.desktop
%endif

%if_enabled qyoto
%files -n kimono-devel
%endif

%if_enabled ruby
%files -n libqtruby4shared
%_K4libdir/libqtruby4shared.so.*
%endif

%if_enabled ruby
%files -n ruby-qt4
%_bindir/rbqtapi
%_libdir/libqtruby4shared.so
%_K4xdg_apps/dbpedia_references.desktop
%_K4apps/dbpedia_references
%ruby_sitearchdir/qscintilla.so
%ruby_sitearchdir/qtruby4.so
%ruby_sitearchdir/qtuitools.so
%ruby_sitearchdir/qtwebkit.so
%ruby_sitearchdir/qtscript.so
%ruby_sitelibdir/Qt.rb
%ruby_sitelibdir/Qt3.rb
%ruby_sitelibdir/Qt4.rb
%ruby_sitelibdir/Qt
%ruby_sitelibdir/qscintilla
%ruby_sitelibdir/qtuitools
%ruby_sitelibdir/qtwebkit
%ruby_sitelibdir/qtscript
%endif

%if_enabled ruby
%files -n ruby-qt4-devel
%_bindir/rbrcc
%_bindir/rbuic4
%_bindir/rbkconfig_compiler4
%_includedir/qtruby
%endif

%if_enabled ruby
%files -n ruby-kde4
%_bindir/krubyapplication
%_K4lib/krossruby.so
%_K4lib/krubypluginfactory.so
%ruby_sitearchdir/khtml.so
%ruby_sitearchdir/korundum4.so
%ruby_sitearchdir/ktexteditor.so
%ruby_sitearchdir/solid.so
%ruby_sitelibdir/KDE
%ruby_sitelibdir/khtml
%ruby_sitelibdir/ktexteditor
%ruby_sitelibdir/solid
#
%ruby_sitearchdir/akonadi.so
%ruby_sitearchdir/plasma_applet.so
#%_K4apps/plasma_ruby_web_applet/
%_K4apps/plasma_scriptengine_ruby/
#%_K4srv/plasma-ruby-applet-web.desktop
%_K4srv/plasma-scriptengine-ruby-applet.desktop
%_K4srv/plasma-scriptengine-ruby-dataengine.desktop
%_K4srv/plasma-scriptengine-ruby-package.desktop
%ruby_sitelibdir/akonadi/
%if_enabled soprano
%ruby_sitearchdir/phonon.so
%ruby_sitearchdir/soprano.so
%ruby_sitearchdir/nepomuk.so
%ruby_sitelibdir/phonon
%ruby_sitelibdir/soprano
%ruby_sitelibdir/nepomuk
%endif
%endif

%if_enabled ruby
%files -n ruby-kde4-devel
# requires ruby-qt4-devel
%endif

%files -n python-module-kde4
%_bindir/pykdeuic4
%dir %python_sitelibdir/PyKDE4
%python_sitelibdir/PyKDE4/*
%python_sitelibdir/PyQt4/uic/widget-plugins/*
%python_sitelibdir/PyQt4/uic/pykdeuic4.py
%_datadir/sip/PyKDE4/*
%_K4apps/pykde4
%_K4lib/krosspython.so
%_K4lib/kpythonpluginfactory.so

%files -n python-module-kde4-doc
#%_K4doc/*/pykde4

%changelog
* Wed Jul 14 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.5-alt1.M51.1
- built for M51

* Wed Jul 14 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.5-alt2
- rebuilt with new soprano

* Thu Jul 08 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.5-alt0.M51.1
- built for M51

* Mon Jul 05 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.5-alt1
- new version

* Thu Jun 03 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.4-alt0.M51.1
- built for M51

* Tue Jun 01 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.4-alt1
- new version

* Thu May 13 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.3-alt0.M51.1
- built for M51

* Tue May 11 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.3-alt1
- new version

* Wed Apr 21 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.2-alt0.M51.1
- built for M51

* Tue Mar 30 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.2-alt1
- new version

* Tue Mar 02 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.1-alt1
- new version

* Thu Feb 11 2010 Sergey V Turchin <zerg@altlinux.org> 4.4.0-alt1
- new version

* Thu Jan 28 2010 Sergey V Turchin <zerg@altlinux.org> 4.3.95-alt1
- new version

* Thu Jan 21 2010 Sergey V Turchin <zerg@altlinux.org> 4.3.90-alt1
- new version

* Tue Dec 15 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.4-alt0.M51.1
- built for M51

* Mon Nov 30 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.4-alt1
- new version

* Wed Nov 25 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 4.3.3-alt1.1
- Rebuilt with python 2.6

* Mon Nov 09 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.3-alt0.M51.1
- built for M51

* Tue Nov 03 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.3-alt1
- new version

* Fri Oct 09 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.2-alt1
- new version

* Mon Aug 31 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.1-alt1
- new version

* Fri Aug 07 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.0-alt2
- rebuilt with new qscintilla2

* Wed Aug 05 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.0-alt1
- 4.3.0

* Thu Jul 23 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.98-alt1
- 4.2.98

* Thu Jul 16 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.96-alt1
- 4.2.96

* Mon Jun 22 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt0.M50.1
- built for M50

* Mon Jun 08 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt1
- new version

* Tue May 05 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.3-alt1
- new version

* Fri Apr 03 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.2-alt1
- new version

* Mon Mar 16 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.1-alt0.M50.1
- built for M50

* Wed Mar 04 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.1-alt1
- new version

* Wed Jan 28 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.0-alt1
- new version

* Tue Jan 20 2009 Sergey V Turchin <zerg at altlinux dot org> 4.1.96-alt1
- new version

* Mon Jan 12 2009 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt4
- fix to build mono bondings; thanks shaba@alt

* Mon Dec 01 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt3
- add fix from trunk to build with new python-sip

* Mon Nov 24 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt2
- don't build ruby module

* Fri Nov 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt1
- new version

* Fri Oct 24 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt3
- fix requires

* Wed Oct 22 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt2
- fix typo in package name

* Wed Oct 08 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt1
- new version

* Fri Aug 22 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.0-alt0.1
- initial specfile

